
Distribution EOLE - Tâche #21423

Scénario # 21165 (Terminé (Sprint)): Traitement express MEN (37-39)

Creole doit remonter le nom du conteneur qui ne dispose pas d’identifiant

09/22/2017 02:10 PM - Daniel Dehennin

Status: Fermé Start date: 09/22/2017

Priority: Normal Due date:  

Assigned To: Emmanuel GARETTE % Done: 100%

Target version: sprint 2017 37-39 Equipe MENSR Estimated time: 1.00 hour

  Spent time: 1.50 hour

Description

Exigence

ALL-FO-003b - Les journaux doivent être clairs.

Problème

Si un dictionnaire défini un conteneur sans attribut id alors creole retourne un message d’erreur sans le nom dudit conteneur.

Avec le dictionnaire local suivant :

<creole>

    <files />

    <containers>

        <container name='bidule' />

    </containers>

    <variables />

    <constraints />

    <help />

</creole>

 

L’exécution de creoled --debug affiche :

Traceback (most recent call last):

  File "/usr/lib/python2.7/dist-packages/creole/server.py", line 190, in reload_config

    try_upgrade=False)

  File "/usr/lib/python2.7/dist-packages/creole/loader.py", line 760, in creole_loader

    eolobj.space_visitor()

  File "/usr/lib/python2.7/dist-packages/creole/objspace.py", line 453, in space_visitor

    ContainerAnnotator(self.space, self.paths, self)

  File "/usr/lib/python2.7/dist-packages/creole/annotator.py", line 191, in __init__

    self.generate_containers()

  File "/usr/lib/python2.7/dist-packages/creole/annotator.py", line 374, in generate_containers

    self._generate_containers(variables)

  File "/usr/lib/python2.7/dist-packages/creole/annotator.py", line 417, in _generate_containers

    group_id = containers[group_name].id

AttributeError: 'Container' object has no attribute 'id'

 

Critères d’acceptation
Associated revisions

Revision 2d7be16c - 09/22/2017 03:59 PM - Emmanuel GARETTE

les conteneurs doivent avoir une ID et ne pas avoir le même ID pour plusieurs conteneurs (ref #21423)

Revision 8fd8e803 - 09/22/2017 04:11 PM - Joël Cuissinat

Update translation

Ref: #21423

History

#1 - 09/22/2017 02:27 PM - Daniel Dehennin

- Description updated

#2 - 09/22/2017 03:05 PM - Emmanuel GARETTE

- Estimated time set to 1.00 h

- Parent task set to #21165

#3 - 09/22/2017 04:01 PM - Emmanuel GARETTE

- Status changed from Nouveau to En cours

- Assigned To set to Emmanuel GARETTE

- Start date set to 09/22/2017

- Remaining (hours) set to 0.5

Reste a traduire.

#4 - 09/22/2017 04:12 PM - Joël Cuissinat

- Remaining (hours) changed from 0.5 to 0.25

#5 - 09/22/2017 04:14 PM - Emmanuel GARETTE

- % Done changed from 0 to 100

#6 - 09/25/2017 09:40 AM - Scrum Master

- Project changed from creole to Distribution EOLE

- Status changed from En cours to Résolu

#7 - 09/25/2017 03:49 PM - Daniel Dehennin

- Remaining (hours) changed from 0.25 to 0.0

#8 - 09/25/2017 03:50 PM - Daniel Dehennin

Dans gen_config j’obtiens bien le message suivant :

Erreur - 500 - INTERNAL SERVER ERROR

l'attribut "id" est manquant pour le conteneur "bidule" 

#9 - 09/26/2017 09:25 AM - Daniel Dehennin

- Status changed from Résolu to Fermé
